API Reference
Add access information
POST
/v1/retail/access_info https://api.cable.tech Retail endpoint for adding new access information
Authentication
- API key in the x-api-key header
Request body
Request body for adding access information for a parent entity
-
timestampstring requiredOriginal timestamp relating to this access information creation/change
Format
date-time -
dataobject required-
ipstringIP address of the connecting client
-
device_idstringDevice identifier. eg. SSAID / Android ID / Device Fingerprint
-
customobjectCustom data that is relevant. This can be any JSON object. Please include any details and data points that our schema does not capture.
-
-
parentobject required-
idstring requiredUnique external identifier of the parent entity, ID stored in your database / back-office
Limits
min length 1
-
Responses
200 Operation success
-
successboolean requiredYou probably did something wrong if you set this to false
Default
true
Errors
- default Operation error
-
codestring required -
messagestring required -
dataobject